List Entries Handler
curl --request GET \
--url https://api.allium.so/api/v1/beam/datasets/{dataset_id}/entries \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.allium.so/api/v1/beam/datasets/{dataset_id}/entries"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.allium.so/api/v1/beam/datasets/{dataset_id}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"values": [
"<string>"
],
"cursor": "<string>",
"total_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Datasets
List entries
Returns a paginated list of values in a dataset.
GET
/
api
/
v1
/
beam
/
datasets
/
{dataset_id}
/
entries
List Entries Handler
Returns a paginated list of values in the dataset, sorted alphabetically.
Path parameters:
Query parameters:
Response:
| Parameter | Description |
|---|---|
dataset_id | Dataset ID |
| Parameter | Default | Description |
|---|---|---|
cursor | null | Pagination cursor from a previous response |
limit | 10000 | Number of values per page (1-500,000) |
curl -X GET "https://api.allium.so/api/v1/beam/datasets/${DATASET_ID}/entries?limit=10000" \
-H "X-API-Key: ${ALLIUM_API_KEY}"
{
"values": ["0x3c499c542cef5e3811e1192ce70d8cc03d5c3359", "0xc2132d05d31c914a87c6611c10748aeb04b58e8f"],
"cursor": "0xc2132d05d31c914a87c6611c10748aeb04b58e8f",
"total_count": 1500
}
| Field | Description |
|---|---|
values | Array of values in the current page |
cursor | Cursor for the next page, null if no more pages |
total_count | Total number of values in the dataset |
Retrieving all entries
Use thecursor field to paginate through the full dataset:
import httpx
PAGE_SIZE = 500_000
def list_all_entries(dataset_id: str, api_key: str) -> list[str]:
all_values = []
cursor = None
with httpx.Client(headers={"X-API-Key": api_key}) as client:
while True:
params = {"limit": PAGE_SIZE}
if cursor:
params["cursor"] = cursor
resp = client.get(
f"https://api.allium.so/api/v1/beam/datasets/{dataset_id}/entries",
params=params,
)
resp.raise_for_status()
data = resp.json()
all_values.extend(data["values"])
cursor = data.get("cursor")
if not cursor:
break
return all_values
Was this page helpful?
⌘I